import request from '@/utils/request'

export function listEduTask(query) {
  return request({
    url: '/core/drill/task/list',
    method: 'get',
    params: query
  })
}

export function getDrillTask(id) {
  return request({
    url: '/core/drill/task/' + id,
    method: 'get'
  })
}

export function addDrillTask(data) {
  return request({
    url: '/core/drill/task',
    method: 'post',
    data: data
  })
}

export function recordDrillTask(data) {
  return request({
    url: '/core/drill/task',
    method: 'put',
    data: data
  })
}

export function delDrillTask(id) {
  return request({
    url: '/core/drill/task/' + id,
    method: 'delete'
  })
}

